CheckType (gCube Join New Portlet 1.4.0-SNAPSHOT API)
Date: 2014-03-10

org.gcube.portlets.user.joinnew.shared

## Enum CheckType

- java.lang.Object
- - java.lang.Enum<CheckType>
  - - org.gcube.portlets.user.joinnew.shared.CheckType

- All Implemented Interfaces:
    Serializable, Comparable<CheckType>

      public enum CheckType
      extends Enum<CheckType>

  type check for the infrastructure
  Version:
    1.0 Jan 12th 2012
  Author:
    Massimiliano Assante ISTI-CNR

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `InformationSystem`
    `ResourceManager`
    `ServiceMap`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CheckType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CheckType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ServiceMap

          public static final CheckType ServiceMap

    - #### InformationSystem

          public static final CheckType InformationSystem

    - #### ResourceManager

          public static final CheckType ResourceManager

  - ### Method Detail

    - #### values

          public static CheckType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CheckType c : CheckType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CheckType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.